> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dolfinai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user

> Retrieve a user visible to the caller — either a member of any organisation under the caller's client (API-key or client-admin Bearer) or a member of the caller's active organisation (Bearer org user). The Organisations list is scoped to the same visibility lens.



## OpenAPI

````yaml /api-reference/openapi.json get /users/{id}
openapi: 3.1.1
info:
  title: Dolfin API
  description: >-
    Dolfin API for AR & AP. Authenticate using the `x-dolfin-api-key` header
    with the API key distributed to your organisation.
  version: v1
servers:
  - url: https://api.dolfinai.co
    description: Production
security:
  - {}
tags:
  - name: Webhooks
  - name: Users
  - name: TaxRates
  - name: Suppliers
  - name: Supplier Credit Notes
  - name: Bills
  - name: SpendCategories
  - name: Payables
  - name: RecurringInvoices
  - name: Receivables
  - name: Purchase Orders
  - name: Products
  - name: Payments
  - name: Invoices
  - name: Organisations
  - name: Members
  - name: MCP
  - name: Matching
  - name: Invoice Reminders
  - name: Industries
  - name: Gmail
  - name: Delivery Notes
  - name: Customers
  - name: Currencies
  - name: Credit Notes
  - name: Clients
  - name: ClientInvites
  - name: BankPayments
  - name: Bank details
  - name: Auth
  - name: ApprovalPolicies
  - name: ApiKeys
  - name: Agent
paths:
  /users/{id}:
    get:
      tags:
        - Users
      summary: Get user
      description: >-
        Retrieve a user visible to the caller — either a member of any
        organisation under the caller's client (API-key or client-admin Bearer)
        or a member of the caller's active organisation (Bearer org user). The
        Organisations list is scoped to the same visibility lens.
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUserResponse'
        '404':
          description: User.NotFound — user does not exist or is not visible to the caller
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    GetUserResponse:
      required:
        - email
      type: object
      properties:
        id:
          type: string
          format: uuid
        email:
          type: string
        name:
          type:
            - 'null'
            - string
        createdAt:
          type: string
          format: date-time
        organisations:
          type: array
          items:
            $ref: '#/components/schemas/GetUserOrganisationResponse'
    ProblemDetails:
      type: object
      properties:
        type:
          type:
            - 'null'
            - string
        title:
          type:
            - 'null'
            - string
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          type:
            - 'null'
            - integer
            - string
          format: int32
        detail:
          type:
            - 'null'
            - string
        instance:
          type:
            - 'null'
            - string
    GetUserOrganisationResponse:
      required:
        - role
      type: object
      properties:
        organisationId:
          type: string
          format: uuid
        role:
          $ref: '#/components/schemas/OrganisationRole'
        joinedAt:
          type: string
          format: date-time
    OrganisationRole:
      enum:
        - Member
        - Admin
        - Owner

````